Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFDataFormat

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFDataFormat

All Implemented Interfaces:
  DataFormat

    public class XSSFDataFormat

extends java.lang.Object
implements DataFormat

Handles data formats for XSSF.

Constructor Summary
`protected` | `XSSFDataFormat(StylesTable stylesSource)`

Method Summary
`java.lang.String` | `getFormat(short index)` get the format string that matches the given format index
`short` | `getFormat(java.lang.String format)` Get the format index that matches the given format string, creating a new format entry if required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFDataFormat

    protected XSSFDataFormat(StylesTable stylesSource)

Method Detail

### getFormat

    public short getFormat(java.lang.String format)

  Get the format index that matches the given format string, creating a new format entry if required. Aliases text to the proper format as required.

  Specified by:
    `getFormat` in interface `DataFormat`
  Parameters:
    `format` - string matching a built in format
  Returns:
    index of format.

### getFormat

    public java.lang.String getFormat(short index)

  get the format string that matches the given format index

  Specified by:
    `getFormat` in interface `DataFormat`
  Parameters:
    `index` - of a format
  Returns:
    string represented at index of format or null if there is not a format at that index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.